package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.DependencyRatio;
import com.lightinit.hsdatashow.entity.DependencyRatioExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface DependencyRatioMapper {
    long countByExample(DependencyRatioExample example);

    int deleteByExample(DependencyRatioExample example);

    int deleteByPrimaryKey(Long id);

    int insert(DependencyRatio record);

    int insertSelective(DependencyRatio record);

    List<DependencyRatio> selectByExample(DependencyRatioExample example);

    DependencyRatio selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") DependencyRatio record, @Param("example") DependencyRatioExample example);

    int updateByExample(@Param("record") DependencyRatio record, @Param("example") DependencyRatioExample example);

    int updateByPrimaryKeySelective(DependencyRatio record);

    int updateByPrimaryKey(DependencyRatio record);

    List<DependencyRatio> getDependencyRatio(int year);
}